# Class TypedListener

java.lang.Object
org.eclipse.swt.widgets.TypedListener

All Implemented Interfaces:
  `Listener`

@Deprecated(forRemoval=true, since="3.129.0 (removal in 2027-03 or later)") public class TypedListener extends Object implements Listener
Deprecated, for removal: This API element is subject to removal in a future version.
This class will become 'strongly' internal. For custom widgets `Widget.addTypedListener(EventListener, int...)`, `Widget.getTypedListeners(int, Class)` or `Widget.removeTypedListener(int, EventListener)` can probably be used instead.
Instances of this class are internal SWT implementation objects which provide a mapping between the typed and untyped listener mechanisms that SWT supports.

IMPORTANT: This class is not part of the SWT public API. It is marked public only so that it can be shared within the packages provided by SWT. It should never be referenced from application code.

See Also:
  - `Listener`
  - Sample code and further information
Restriction:
  This class is not intended to be subclassed by clients.
Restriction:
  This class is not intended to be referenced by clients.
Restriction:
  This class is not intended to be instantiated by clients.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected EventListener`
`eventListener`
Deprecated, for removal: This API element is subject to removal in a future version.

## Constructor Summary

Constructors
Constructor
Description
`TypedListener(EventListener listener)`
Deprecated, for removal: This API element is subject to removal in a future version.
`TypedListener(SWTEventListener listener)`
Deprecated, for removal: This API element is subject to removal in a future version.

## Method Summary

Modifier and Type
Method
Description
`EventListener`
`getEventListener()`
Deprecated, for removal: This API element is subject to removal in a future version.
`void`
`handleEvent(Event e)`
Deprecated, for removal: This API element is subject to removal in a future version.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### eventListener

@Deprecated(forRemoval=true, since="3.129.0 (removal in 2027-03 or later)") protected EventListener eventListener
Deprecated, for removal: This API element is subject to removal in a future version.
The receiver's event listener

## Constructor Details

### TypedListener

@Deprecated(forRemoval=true, since="2025-03") public TypedListener(SWTEventListener listener)
Deprecated, for removal: This API element is subject to removal in a future version.
Constructs a new instance of this class for the given event listener.

IMPORTANT: This method is not part of the SWT public API. It is marked public only so that it can be shared within the packages provided by SWT. It should never be referenced from application code.

Parameters:
  `listener` - the event listener to store in the receiver
Restriction:
  This method is not intended to be referenced by clients.

### TypedListener

@Deprecated(forRemoval=true, since="3.129.0 (removal in 2027-03 or later)") public TypedListener(EventListener listener)
Deprecated, for removal: This API element is subject to removal in a future version.
Constructs a new instance of this class for the given event listener.

IMPORTANT: This method is not part of the SWT public API. It is marked public only so that it can be shared within the packages provided by SWT. It should never be referenced from application code.

Parameters:
  `listener` - the event listener to store in the receiver
Restriction:
  This method is not intended to be referenced by clients.

## Method Details

### getEventListener

@Deprecated(forRemoval=true, since="3.129.0 (removal in 2027-03 or later)") public EventListener getEventListener()
Deprecated, for removal: This API element is subject to removal in a future version.
Returns the receiver's event listener.

IMPORTANT: This method is not part of the SWT public API. It is marked public only so that it can be shared within the packages provided by SWT. It should never be referenced from application code.

Returns:
  the receiver's event listener
Restriction:
  This method is not intended to be referenced by clients.

### handleEvent

@Deprecated(forRemoval=true, since="3.129.0 (removal in 2027-03 or later)") public void handleEvent(Event e)
Deprecated, for removal: This API element is subject to removal in a future version.
Handles the given event.

IMPORTANT: This method is not part of the SWT public API. It is marked public only so that it can be shared within the packages provided by SWT. It should never be referenced from application code.

Specified by:
  `handleEvent` in interface `Listener`
Parameters:
  `e` - the event to handle
Restriction:
  This method is not intended to be referenced by clients.